package com.jeeww.web.admin.searchmodel.resourcemanage;

import java.io.Serializable;

/**
 * 系统资源信息表 实体类. 作者:蒋文武 创建日期: 2014-02-16 08:00:22
 */
public class ResourceManageSearchModel implements Serializable {
    /**
     * 默认序列.
     */
    private static final long serialVersionUID = 1L;
    /**
     * 资源查询级别.
     */
    private String onlyPageResource;
    /**
     * 资源主键.
     */
    private String resourceId;
    /**
     * 资源名称.
     */
    private String resourceName;
    /**
     * 资源地址.
     */
    private String resourceUrl;
    /**
     * 资源类型.
     */
    private String resourceType;
    /**
     * 应用标志.
     */
    private String usedFlag;
    /**
     * 排序号.
     */
    private java.math.BigDecimal orderNum;
    /**
     * 父节点.
     */
    private String parentResourceId;

    /**
     * 获得资源主键的值.
     * @return resourceId
     */
    public String getResourceId() {
        return resourceId;
    }

    /**
     * 设置资源主键的值.
     * @param resourceId parameter resourceId
     */
    public void setResourceId(final String resourceId) {
        this.resourceId = resourceId;
    }

    /**
     * 获得资源名称的值.
     * @return resourceName
     */
    public String getResourceName() {
        return resourceName;
    }

    /**
     * 设置资源名称的值.
     * @param resourceName parameter resourceName
     */
    public void setResourceName(final String resourceName) {
        this.resourceName = resourceName;
    }

    /**
     * 获得资源地址的值.
     * @return resourceUrl
     */
    public String getResourceUrl() {
        return resourceUrl;
    }

    /**
     * 设置资源地址的值.
     * @param resourceUrl parameter resourceUrl
     */
    public void setResourceUrl(final String resourceUrl) {
        this.resourceUrl = resourceUrl;
    }

    /**
     * 获得资源类型的值.
     * @return resourceType
     */
    public String getResourceType() {
        return resourceType;
    }

    /**
     * 设置资源类型的值.
     * @param resourceType parameter resourceType
     */
    public void setResourceType(final String resourceType) {
        this.resourceType = resourceType;
    }

    /**
     * 获得应用标志的值.
     * @return usedFlag
     */
    public String getUsedFlag() {
        return usedFlag;
    }

    /**
     * 设置应用标志的值.
     * @param usedFlag parameter usedFlag
     */
    public void setUsedFlag(final String usedFlag) {
        this.usedFlag = usedFlag;
    }

    /**
     * 获得排序号的值.
     * @return orderNum
     */
    public java.math.BigDecimal getOrderNum() {
        return orderNum;
    }

    /**
     * 设置排序号的值.
     * @param orderNum parameter orderNum
     */
    public void setOrderNum(final java.math.BigDecimal orderNum) {
        this.orderNum = orderNum;
    }

    /**
     * 获得父节点的值.
     * @return parentResourceId
     */
    public String getParentResourceId() {
        return parentResourceId;
    }

    /**
     * 设置父节点的值.
     * @param parentResourceId parameter parentResourceId
     */
    public void setParentResourceId(final String parentResourceId) {
        this.parentResourceId = parentResourceId;
    }

    /**
     * @return the onlyPageResource
     */
    public String getOnlyPageResource() {
        return onlyPageResource;
    }

    /**
     * @param onlyPageResource the onlyPageResource to set
     */
    public void setOnlyPageResource(final String onlyPageResource) {
        this.onlyPageResource = onlyPageResource;
    }
}
